
From: Hugh Dickins <hugh@veritas.com>

What purpose does loop_make_request's blk_queue_bounce serve?  None, it's
just a relic from before the kmaps were added to loop's transfers, and ties
up mempooled resources - in the file-backed case, with no guarantee they'll
soon be freed.  And what purpose does loop_set_fd's blk_queue_bounce_limit
serve?  None, blk_queue_make_request did that.



 25-akpm/drivers/block/loop.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN drivers/block/loop.c~loop-07-remove-blk_queue_bounce drivers/block/loop.c
--- 25/drivers/block/loop.c~loop-07-remove-blk_queue_bounce	Tue Jun 10 12:54:31 2003
+++ 25-akpm/drivers/block/loop.c	Tue Jun 10 12:54:31 2003
@@ -548,8 +548,6 @@ static int loop_make_request(request_que
 		goto err;
 	}
 
-	blk_queue_bounce(q, &old_bio);
-
 	/*
 	 * file backed, queue for loop_thread to handle
 	 */
@@ -742,7 +740,6 @@ static int loop_set_fd(struct loop_devic
 	 * device
 	 */
 	blk_queue_make_request(&lo->lo_queue, loop_make_request);
-	blk_queue_bounce_limit(&lo->lo_queue, BLK_BOUNCE_HIGH);
 	lo->lo_queue.queuedata = lo;
 
 	/*

_
